{ lib, ... }:
let
  module = lib.modules.importApply ./default.nix { };
in
{
  clan.modules = {
    victoriametrics = module;
  };

  perSystem =
    { ... }:
    {
      clan.nixosTests.service-victoriametrics = {
        imports = [ ./tests/vm/default.nix ];

        clan.modules."@clan/victoriametrics" = module;
      };
    };
}
